### org.jfree.layouting.input.style.parser.stylehandler

# Class AbstractWidthReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  BorderWidthReadHandler, BoxOffsetReadHandler, MarginReadHandler, MaxWidthAndHeightReadHandler, MinWidthAndHeightReadHandler, PaddingReadHandler, SizeReadHandler, WidthAndHeightReadHandler, XAndYReadHandler

`public abstract class AbstractWidthReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Creation-Date: 27.11.2005, 21:16:17

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractWidthReadHandler(boolean allowPercentages, boolean allowAuto)`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `boolean`

  `isAllowAuto()`

  `boolean`

  `isAllowPercentages()`

  `protected CSSValue`

  `parseWidth(LexicalUnit value)`

## Constructor Details

### AbstractWidthReadHandler

    protected AbstractWidthReadHandler(boolean allowPercentages,
                                       boolean allowAuto)

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler

### isAllowAuto

    public boolean isAllowAuto()

### isAllowPercentages

    public boolean isAllowPercentages()

### parseWidth

    protected CSSValue parseWidth(LexicalUnit value)